function out = isPathList(pathList, E)

    P = numel(pathList);

    % Check dimensions
    assert(numel(E) == 1 && isfinite(E), '"E" must be a positive number');
    assert(isequal(size(pathList), [1 P]), '"pathList" must be a 1xP cell');

    % Check values
    assert(all(cellfun(@(x) ~isempty(x), pathList)), ...
        '"pathList" must not have empty sequences of links');
    
    assert(all(cellfun(@(x) ndims(x) == 2 && size(x,1) == 1 && ...
        all(x == round(x)) && all(x > 0) && all(x <= E), pathList)), ...
        sprintf('Every sequence of links in "pathList" must be in range [1, %d]', E));

    out = true;

end